<?php
/*
 CLASE PARA LA GESTION DE USUARIOS
*/
require_once "db.class.php";

class usuario extends database {

/* REALIZA UNA CONSULTA A LA BASE DE DATOS EN BUSCA DE  REGISTROS DE COORDINADORES
    OUTPUT:
   $data | Array con los registros obtenidos, si no existen datos, su valor es una cadena vacia
 */
        function usuario(){}


        //----------------------------------
        function total_reg(){
       //conexion a la base de datos
         $this->conectar(); $this->consulta("set names 'utf8'");
         $query = $this->consulta("select * from usuarios");

          return ($this->numero_de_filas($query));
          $this->disconnect();

          }

        //---------------------------------

      function usuarioss($inicio){
      $data=array();
      //conexion a la base de datos
        $this->conectar();

      //-----------------------------------
        $query = $this->consulta("select * from usuarios_temporal limit ".$inicio.",10");

         $this->disconnect();
        if ($this->numero_de_filas($query) > 0) // existe -> datos correctos
           {
           //se llenan los datos en un array
             while ( $tsArray = $this->fetch_assoc($query) )
	                   $data[] = $tsArray;
              }
              return $data;
        }

}

?>
